/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class RulePrincipalResponse {
    public id: string;

    public name: string;

    public description: string;

    public meta: string;

    public triggerType: string;

    public labels: string[];

    /**
     * Creates a RulePrincipalResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {string} description
     * @param {string} meta
     * @param {string} triggerType
     * @param {string} labels
     */
    constructor(id: string, name: string, description: string, meta: string, triggerType: string, labels: string[]) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.meta = meta;
        this.triggerType = triggerType;
        this.labels = labels;
    }
}
